#
# spec file for package perl-Term-Size
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Term-Size
Version:        0.209
Release:        1.1
%define cpan_name Term-Size
Summary:        Retrieve terminal size (Unix version)
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Term-Size/
Source0:        https://cpan.metacpan.org/authors/id/F/FE/FERREIRA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Term::Size is a Perl module which provides a straightforward way to
retrieve the terminal size.

Both functions take an optional filehandle argument, which defaults to
'*STDIN{IO}'. They both return a list of two values, which are the current
width and height, respectively, of the terminal associated with the
specified filehandle.

'Term::Size::chars' returns the size in units of characters, whereas
'Term::Size::pixels' uses units of pixels.

In a scalar context, both functions return the first element of the list,
that is, the terminal width.

The functions may be imported.

If you need to pass a filehandle to either of the Term::Size functions,
beware that the '*STDOUT{IO}' syntax is only supported in Perl 5.004 and
later. If you have an earlier version of Perl, or are interested in
backwards compatibility, use '*STDOUT' instead.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Copyright README

%changelog
* Wed Aug 22 2018 coolo@suse.com
- updated to 0.209
  see /usr/share/doc/packages/perl-Term-Size/Changes
  0.209 2018-08-21  Term-Size
  - Tweak documentation
  - Promote to a stable release
  0.208 2018-08-20  Term-Size ( TRIAL VERSION )
  - use PerlIO instead of FILE* RT#38594
  - On error, Term::Size functions now return undef
    in scalar context, or an empty list on list context
    RT#76292
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 0.207
  * created by cpanspec 1.78.04
